WSPARCIE JOOMLA! Według zapewnień deweloperów Joomla wersja oznaczona 3.10 będzie wspierana od wydania, aż 2 lata! Wkradają się tutaj drobne rozbieżności: Obsługa błędów i potencjalnych luk w bezpieczeństwie będzie zapewniona przez okno od 12 do 18 miesięcy, Pozostały czas od 6 do 12 miesięcy będzie dotyczył tylko i wyłącznie łatania luk bezpieczeństwa.  Dwa lata dla przypomnienia to 24 miesiące, a więc można wnioskować, że 12 miesięcy będzie przeznaczone na błędy a całe 24 na bezpieczeństwo.  Chyba że w ciągu 18 miesięcy wstąpią krytyczne błędy, wówczas będziemy mogli spodziewać się łaty. Kolejne wydanie Joomla! Będzie oznaczone numerem 3.10 i będzie to ostatnie wydanie z tej gałęzi. Dlaczego 3.10, a nie 3.9.x kolejne, ponieważ wersje wewnętrzne zostały zmienione i według nowego numerowania każda wersja środkowa oznacza wprowadzenie czegoś nowego. Stąd też nie ma wersji 3.9.3 i tak dalej.  CO NOWEGO W JOOMLA! 3.10 Joomla! 3.10 przyniesie nie wiele nowości, ponieważ jest to wersja pomostowa między głównymi wersjami 3 a Joomla! 4. Wersja 3.10 zaoferuje użytkownikom, jak i programistom nową funkcjonalność dzięki, której będziesz mógł sprawdzić potencjalne błędy przy aktualizacji do wersji 4.0  Narzędzie do sprawdzania aktualizacji sprawdzi między innymi: kompatybilna wersje PHP 7 na Twoim serwerze rozszerzenia PHP (mbcrypt, JSON, XML, ZLIB, Database support, MB String overload, MB language) rozszerzenia, które obecnie masz zainstalwane. Teoretycznie powinieneś być w stanie przeprowadzić aktualizacje bez problemów o ile wszystko będzie zgodne i narzędzie poinformuje Cię, że możesz spokojnie aktualizować Joomla do wersje 4.0. Jest jednak jedno, ale Joomla 3.10 wyjdzie wcześniej niż Joomla 4 więc narzędzie powinno dać Ci obraz obecny Twojej strony. Będziesz mógł monitorować rozszerzenia, które będą kompatybilne z Joomla 4. Joomla! 3.10 wprowadza również warstwę kompatybilności względem Joomla 4. Chodzi tutaj głównie o przestrzenie nazw i bibliotek. Klasy, które wciąż istnieją w folderach: /libraries/cms  /libraries/joomla /libraries/legacy Zostaną one usunięte w Joomla 4. Wsteczną kompatybilność oznacza w teorii, tyle iż rozszerzenia napisane dla Joomla 3.8 - 3.9 powinny działać na Joomla 4. KIEDY WYJDZIE JOOMLA 4 BETA Obecnie status Joomla! 4 To alfa 7, to bety jeszcze brakuje i to całkiem sporo. Prace cały czas trwają, a główne rzeczy do zrobienia są następujące: Szablon zaplecza i dostępność. Lepsza obsługa od strony urządzeń mobilnych. https://magazine.joomla.org/issues/issue-nov-2017/item/3289-episode-iv-a-new-user-interface-for-the-joomla-backend  Szablon frontendu oraz ulepszenia mobilne Workflow publikowania artykułów. Wymaga to poprawy od strony wielojęzyczności. Obsługa Web Serwisów Data opublikowania wersji Joomla 4 Beta oscyluję w 2 kwartale 2019 roku. JOOMLA! 4 ULEPSZENIA Joomla w wersji 4 zaoferuje kilka ulepszeń z których powinieneś się ucieszyć. Szybsze ładowanie strony Bootstrap 4 Usunięcie jQuery z core Przebudowa systemu zarządzania (na wzór WP) Nowy media menadżer  Nowy sposób renderowania szablonów poprzez popularne biblioteki PHP (Twig, Mustache, Blade) Pre ładowanie nagłówków HTTP/2 Przebudowa routera adresów URL Przebudowa obsługi sesji  Z wersją Joomla! 4 prawdopodobnie ukaże się Joomla! Framework w wersji 2 z którego zostaną usuniętę stare klasy oznaczone "deprecated" a jest ich około tysiąca ponieważ zaniedbania sięgają całego czasu używania Framworka w wersji 1. Więcej można doczytać o przestarzałych klasach w tym dokumencie, który jeszcze nie jest w pełni kompletny (https://docs.joomla.org/Potential_backward_compatibility_issues_in_Joomla_4). . Czytaj więcej na: JOOMLA GURU https://joomlaguru.pl/joomla/456/najblizsze-wydania-joomla-plany-2019